# Adding a general build configuration
# (c) Pierre-Marie Desombre, Eric MAEKER, 2008-2009
# BSD revised Licence

TEMPLATE = app
TARGET = depensedialog

# always include the config.pri __after__ the TARGET's definition
include(../../../buildspecs/config.pri)

# redefine the TARGET's name (this can be moved in the config.pri file)
TARGET = $$BINARY_NAME

# define destination path
DESTDIR = $$BUILD_BINARY_PATH

DEPENDPATH += $$PWD

# include common code
include($$SOURCES_ROOT_PATH/src/common/common.pri)

# include qprintereasy code
include($$SOURCES_ROOT_PATH/src/common/print/src.pri)

# Input
HEADERS += depensedialog.h \
           utilisateurdialog.h \
            ../parametrages/parametrages.h \  
            ../../common/configure/utilisateur.h \
            ../../common/configure/sitesdialog.h \
            ../../common/configure/payeursdialog.h \
            ../../common/configure/actesdispo.h \
            ../../common/configure/parametredialog.h \
            ../../common/configure/pourcentages.h \    
            ../../common/configure/automatisme.h \
            ../../common/configure/rapport.h \     
            ../../common/configure/vision.h \
            ../../common/configure/modifutil.h \
            ../../common/configure/thesaurus.h \
            ../../common/configure/mdp.h \
           #  ../../common/databasemanager.h \
           #  ../../common/settings.h \
           # ../../common/constants.h \
           # ../../common/icore.h \
           #  ../../common/core.h \
            ../../common/completeBase.h \
            ../../common/creationtable.h 


FORMS +=   depensedialog.ui  \
           utilisateurPrefDialog.ui  \
           ../parametrages/ParametragesDialog.ui \
           ../../common/configure/utilisateurdialog.ui \
           ../../common/configure/sitesdialog.ui \
           ../../common/configure/parametredialog.ui \
           ../../common/configure/payeursdialog.ui \
           ../../common/configure/actesdispodialog.ui \
           ../../common/configure/pourcentagesdialog.ui \
           ../../common/configure/automatisme.ui \
           ../../common/configure/vision.ui \
           ../../common/configure/rapport.ui \
           ../../common/configure/modifUtil.ui \
           ../../common/configure/thesaurusWidget.ui \
           ../../common/configure/MdpDialog.ui 
  

SOURCES +=  main.cpp \
            depensedialog.cpp \
            utilisateurdialog.cpp  \
            ../parametrages/parametrages.cpp \
            ../../common/configure/utilisateur.cpp \
            ../../common/configure/sitesdialog.cpp \
            ../../common/configure/parametredialog.cpp \
            ../../common/configure/payeursdialog.cpp \
            ../../common/configure/actesdispo.cpp \
            ../../common/configure/pourcentages.cpp \    
            ../../common/configure/automatisme.cpp \
            ../../common/configure/rapport.cpp \   
            ../../common/configure/vision.cpp \
            ../../common/configure/modifutil.cpp \
            ../../common/configure/thesaurus.cpp \
            ../../common/configure/mdp.cpp \
            ../../common/creationtable.cpp \
          #  ../../common/databasemanager.cpp \
          #  ../../common/settings.cpp \
          # ../../common/core.cpp \
           ../../common/completeBase.cpp 

QT += sql \
      qt3support

win32 {
CONFIG += qt windows release
}


